Index: /extensions/jiwigo/trunk/.classpath
===================================================================
--- /extensions/jiwigo/trunk/.classpath	(revision 9392)
+++ /extensions/jiwigo/trunk/.classpath	(revision 9393)
@@ -7,4 +7,5 @@
   <classpathentry kind="var" path="M2_REPO/javax/servlet/servlet-api/2.3/servlet-api-2.3.jar"/>
   <classpathentry kind="var" path="M2_REPO/avalon-framework/avalon-framework/4.1.3/avalon-framework-4.1.3.jar"/>
+  <classpathentry kind="var" path="M2_REPO/commons-beanutils/commons-beanutils/1.8.3/commons-beanutils-1.8.3.jar"/>
   <classpathentry kind="var" path="M2_REPO/commons-codec/commons-codec/1.2/commons-codec-1.2.jar"/>
   <classpathentry kind="var" path="M2_REPO/commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.jar"/>
Index: /extensions/jiwigo/trunk/pom.xml
===================================================================
--- /extensions/jiwigo/trunk/pom.xml	(revision 9392)
+++ /extensions/jiwigo/trunk/pom.xml	(revision 9393)
@@ -17,47 +17,7 @@
 
 	<dependency>
-	    <groupId>org.jdom</groupId>
-	    <artifactId>jdom</artifactId>
-	    <version>1.1</version>
-	</dependency>
-	<dependency>
-	    <groupId>commons-lang</groupId>
-	    <artifactId>commons-lang</artifactId>
-	    <version>2.5</version>
-	</dependency>
-	<dependency>
-	    <groupId>commons-httpclient</groupId>
-	    <artifactId>commons-httpclient</artifactId>
-	    <version>3.1</version>
-	</dependency>
-	<dependency>
-		<groupId>commons-logging</groupId>
-		<artifactId>commons-logging</artifactId>
-		<version>1.1</version>
-	</dependency>
-	<dependency>
-	    <groupId>log4j</groupId>
-	    <artifactId>log4j</artifactId>
-	    <version>1.2.16</version>
-	</dependency>
-	<dependency>
-	    <groupId>org.apache.sanselan</groupId>
-	    <artifactId>sanselan</artifactId>
-	    <version>0.97-incubator</version>
-	</dependency>
-	<dependency>
-	    <groupId>com.drew</groupId>
-	    <artifactId>metadata-extractor</artifactId>
-	    <version>2.3.1</version>
-	</dependency>
-	<dependency>
 	    <groupId>net.iharder</groupId>
 	    <artifactId>filedrop</artifactId>
 	    <version>1.0</version>
-	</dependency>
-	<dependency>
-	    <groupId>junit</groupId>
-	    <artifactId>junit</artifactId>
-	    <version>4.8.1</version>
 	</dependency>
 	<dependency>
@@ -69,5 +29,5 @@
 	    <groupId>fr.mael.jiwigo</groupId>
 	    <artifactId>jiwigo-ws-api</artifactId>
-	    <version>0.13</version>
+	    <version>0.13.1</version>
 	</dependency>
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java	(revision 9393)
@@ -9,5 +9,5 @@
 
 import fr.mael.jiwigo.transverse.session.SessionManager;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
 import fr.mael.jiwigo.ui.ConnexionDialog;
@@ -76,5 +76,5 @@
 	    dialog.showDialog();
 	} catch (IOException e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	}
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/ImagesManagement.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/ImagesManagement.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/ImagesManagement.java	(revision 9393)
@@ -9,5 +9,5 @@
 
 import fr.mael.jiwigo.om.Image;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 
 /**
@@ -36,5 +36,5 @@
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-   
+
  * @author mael
  * Management of the real sized pictures
@@ -85,5 +85,5 @@
     /**
      * boolean that defines if the application is sending files
-     * 
+     *
      */
     private boolean sendingFiles = false;
@@ -138,5 +138,5 @@
 
     /**
-     * 
+     *
      * @param image the current image
      */
@@ -158,13 +158,13 @@
      */
     public BufferedImage getCurrentBufferedImage() {
-	if (imageCache.get(currentImage.getIdentifiant()) == null) {
+	if (imageCache.get(currentImage.getIdentifier()) == null) {
 	    try {
 		BufferedImage img = ImageIO.read(new URL(currentImage.getUrl()));
-		imageCache.put(currentImage.getIdentifiant(), img);
+		imageCache.put(currentImage.getIdentifier(), img);
 	    } catch (Exception e) {
-		LOG.error(Outil.getStackTrace(e));
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	}
-	return imageCache.get(currentImage.getIdentifiant());
+	return imageCache.get(currentImage.getIdentifier());
     }
 
@@ -175,14 +175,14 @@
      */
     public BufferedImage getMiniatureBufferedImage(Image image) {
-	if (thumbnailsCache.get(image.getIdentifiant()) == null) {
+	if (thumbnailsCache.get(image.getIdentifier()) == null) {
 	    try {
-		BufferedImage img = ImageIO.read(new URL(image.getMiniature()));
-		thumbnailsCache.put(image.getIdentifiant(), img);
+		BufferedImage img = ImageIO.read(new URL(image.getThumbnailUrl()));
+		thumbnailsCache.put(image.getIdentifier(), img);
 	    } catch (Exception e) {
-		LOG.error(Outil.getStackTrace(e));
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	}
 
-	return thumbnailsCache.get(image.getIdentifiant());
+	return thumbnailsCache.get(image.getIdentifier());
     }
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java	(revision 9393)
@@ -10,5 +10,5 @@
 import org.jdom.output.XMLOutputter;
 
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 
 /**
@@ -98,5 +98,5 @@
 	    return document.getRootElement().getChildText(key);
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	    return null;
 	}
@@ -125,5 +125,5 @@
 	    writer.close();
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	}
     }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 9393)
@@ -62,5 +62,5 @@
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-   
+
  * @author mael
  * Dialog de connexion au site
@@ -118,5 +118,5 @@
 
     /**
-     * Constructor 
+     * Constructor
      */
     public ConnexionDialog() {
@@ -171,5 +171,5 @@
 	panelInformations.add(checkBoxRetenir, constraints);
 	constraints.gridx = 0;
-	constraints.gridy++;//  
+	constraints.gridy++;//
 	//	for (Locale locale : SimpleDateFormat.getAvailableLocales()) {
 	//	    comboLocales.addItem(locale.getDisplayName(Locale.ENGLISH));
@@ -262,5 +262,5 @@
 		if (!Main.sessionManager.processLogin()) {
 		    //if the login fails, an error is displayed
-		    if (!Main.sessionManager.isErreurProxy()) {
+		    if (!Main.sessionManager.isProxyError()) {
 			JOptionPane.showMessageDialog(null, Messages.getMessage("connexionDialog_connexionError"),
 				Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserPanel.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserPanel.java	(revision 9393)
@@ -30,10 +30,10 @@
 import fr.mael.jiwigo.transverse.util.ImagesUtil;
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.comments.CommentsDialog;
 import fr.mael.jiwigo.ui.mainframe.MainFrame;
 
 /**
- *    
+ *
    Copyright (c) 2010, Mael
    All rights reserved.
@@ -60,7 +60,7 @@
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-   
+
  * @author mael
- * 
+ *
  * Frame de navigation dans les images
  *
@@ -160,11 +160,11 @@
 	panelBoutons = new JPanel(new FlowLayout());
 	//ajout des images sur les boutons
-	next.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/next.png")));
-	previous.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/previous.png")));
-	rotateLeft.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/left.png")));
-	rotateRight.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/right.png")));
-	save.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/save.png")));
-	comment.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/comment.png")));
-	cut.setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/cut.png")));
+	next.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/next.png")));
+	previous.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/previous.png")));
+	rotateLeft.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/left.png")));
+	rotateRight.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/right.png")));
+	save.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/save.png")));
+	comment.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/comment.png")));
+	cut.setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/cut.png")));
 	//on rend les boutons invisibles, pour ne voir que l'image
 	next.setFocusPainted(false);
@@ -211,5 +211,5 @@
 	    imagePanel = new BrowserImagePanel();
 	} catch (Exception e1) {
-	    LOG.error(Outil.getStackTrace(e1));
+	    LOG.error(Tools.getStackTrace(e1));
 	}
 
@@ -266,23 +266,23 @@
 	menuBar.add(menuAffichage);
 	menuBar.add(menuImage);
-	menuItemSave = new JMenuItem(Messages.getMessage("imageBrowser_save"), new ImageIcon(Outil
+	menuItemSave = new JMenuItem(Messages.getMessage("imageBrowser_save"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/save_mini.png")));
-	menuItemPrint = new JMenuItem(Messages.getMessage("imageBrowser_print"), new ImageIcon(Outil
+	menuItemPrint = new JMenuItem(Messages.getMessage("imageBrowser_print"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/print.gif")));
-	menuItemClose = new JMenuItem(Messages.getMessage("imageBrowser_close"), new ImageIcon(Outil
+	menuItemClose = new JMenuItem(Messages.getMessage("imageBrowser_close"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/close.png")));
-	menuItemZoomPlus = new JMenuItem(Messages.getMessage("imageBrowser_zoomPlus"), new ImageIcon(Outil
+	menuItemZoomPlus = new JMenuItem(Messages.getMessage("imageBrowser_zoomPlus"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/zoom_in.png")));
-	menuItemZoomMoins = new JMenuItem(Messages.getMessage("imageBrowser_zoomMoins"), new ImageIcon(Outil
+	menuItemZoomMoins = new JMenuItem(Messages.getMessage("imageBrowser_zoomMoins"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/zoom_out.png")));
-	menuItemNormal = new JMenuItem(Messages.getMessage("imageBrowser_zoomNormal"), new ImageIcon(Outil
+	menuItemNormal = new JMenuItem(Messages.getMessage("imageBrowser_zoomNormal"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/zoom_n.png")));
-	menuItemFlipH = new JMenuItem(Messages.getMessage("imageBrowser_flipH"), new ImageIcon(Outil
+	menuItemFlipH = new JMenuItem(Messages.getMessage("imageBrowser_flipH"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/small/flip_h.png")));
-	menuItemFlipV = new JMenuItem(Messages.getMessage("imageBrowser_flipV"), new ImageIcon(Outil
+	menuItemFlipV = new JMenuItem(Messages.getMessage("imageBrowser_flipV"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/small/flip_v.png")));
-	menuItemRotationG = new JMenuItem(Messages.getMessage("imageBrowser_rotationL"), new ImageIcon(Outil
+	menuItemRotationG = new JMenuItem(Messages.getMessage("imageBrowser_rotationL"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/small/left.png")));
-	menuItemRotationD = new JMenuItem(Messages.getMessage("imageBrowser_rotationR"), new ImageIcon(Outil
+	menuItemRotationD = new JMenuItem(Messages.getMessage("imageBrowser_rotationR"), new ImageIcon(Tools
 		.getURL("fr/mael/jiwigo/img/small/right.png")));
 	menuFichier.add(menuItemSave);
@@ -325,5 +325,5 @@
     public void actionPerformed(ActionEvent e) {
 	if (e.getSource().equals(comment)) {
-	    new CommentsDialog(this, ImagesManagement.getInstance().getCurrentImage().getIdentifiant());
+	    new CommentsDialog(this, ImagesManagement.getInstance().getCurrentImage().getIdentifier());
 	} else if (e.getSource().equals(save)) {
 	    //opens the dialog to save the file
@@ -336,5 +336,5 @@
 			ImagesUtil.writeImageToPNG(chosenFile, imagePanel.getImage());
 		    } catch (IOException ex) {
-			LOG.error(Outil.getStackTrace(ex));
+			LOG.error(Tools.getStackTrace(ex));
 		    }
 		} else {
@@ -343,5 +343,5 @@
 				imagePanel.getImage());
 		    } catch (IOException ex) {
-			LOG.error(Outil.getStackTrace(ex));
+			LOG.error(Tools.getStackTrace(ex));
 		    }
 		}
@@ -353,5 +353,5 @@
 		changeImage();
 	    } catch (Exception e1) {
-		LOG.error(Outil.getStackTrace(e1));
+		LOG.error(Tools.getStackTrace(e1));
 	    }
 
@@ -362,5 +362,5 @@
 		changeImage();
 	    } catch (Exception e1) {
-		LOG.error(Outil.getStackTrace(e1));
+		LOG.error(Tools.getStackTrace(e1));
 	    }
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9393)
@@ -24,5 +24,5 @@
 import fr.mael.jiwigo.service.CommentService;
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.browser.BrowserPanel;
 
@@ -123,5 +123,5 @@
 	this.getContentPane().removeAll();
 	try {
-	    List<Comment> commentsForImage = CommentService.getInstance(Main.sessionManager).lister(imageId);
+	    List<Comment> commentsForImage = CommentService.getInstance(Main.sessionManager).list(imageId);
 	    GridBagConstraints c = new GridBagConstraints();
 	    c.insets = new Insets(3, 3, 3, 3);
@@ -143,5 +143,5 @@
 	    }
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("commentListingError"), Messages
 		    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
@@ -167,9 +167,9 @@
 	    boolean reussite = true;
 	    try {
-		reussite = CommentService.getInstance(Main.sessionManager).creer(text, this.imageId,
+		reussite = CommentService.getInstance(Main.sessionManager).create(text, this.imageId,
 			Main.sessionManager.getLogin());
 	    } catch (IOException e) {
 		reussite = false;
-		LOG.error(Outil.getStackTrace(e));
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	    if (reussite) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9393)
@@ -26,5 +26,5 @@
 import fr.mael.jiwigo.service.CategoryService;
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 
 /**
@@ -141,5 +141,5 @@
 	    List<Category> list = CategoryService.getInstance(Main.sessionManager).makeTree();
 	    for (Category cat : list) {
-		if (cat.getCategoriesMeres().size() == 0) {
+		if (cat.getParentCategories().size() == 0) {
 		    category = new DefaultMutableTreeNode(cat);
 		    root.add(category);
@@ -149,5 +149,5 @@
 	    }
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("treeCreationError"), Messages.getMessage("error"),
 		    JOptionPane.ERROR_MESSAGE);
@@ -162,5 +162,5 @@
      */
     private void recursiveNodeCreation(DefaultMutableTreeNode categoryNode, Category category) {
-	for (Category cat : category.getCategoriesFilles()) {
+	for (Category cat : category.getChildCategories()) {
 	    DefaultMutableTreeNode node = new DefaultMutableTreeNode(cat);
 	    categoryNode.add(node);
@@ -229,6 +229,6 @@
 		if (selectedCategory != null) {
 		    //try to create a category
-		    if (CategoryService.getInstance(Main.sessionManager).creer(nomcategorie,
-			    selectedCategory.getIdentifiant())) {
+		    if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie,
+			    selectedCategory.getIdentifier())) {
 			setUpUi();
 		    } else {
@@ -238,5 +238,5 @@
 		    }
 		} else {
-		    if (CategoryService.getInstance(Main.sessionManager).creer(nomcategorie)) {
+		    if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie)) {
 			setUpUi();
 		    } else {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java	(revision 9393)
@@ -23,5 +23,5 @@
 
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.MyCollapsiblePanel;
 import fr.mael.jiwigo.ui.browser.BrowserPanel;
@@ -55,5 +55,5 @@
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-   
+
  * @author mael
  * Frame principale
@@ -150,5 +150,5 @@
     private MainFrame() {
 	this.setTitle("Jiwigo v" + Messages.getMessage("version"));
-	this.setIconImage(java.awt.Toolkit.getDefaultToolkit().getImage(Outil.getURL("fr/mael/jiwigo/img/icon.png")));
+	this.setIconImage(java.awt.Toolkit.getDefaultToolkit().getImage(Tools.getURL("fr/mael/jiwigo/img/icon.png")));
 	this.setLayout(new BorderLayout());
 	jMenuBar = new JMenuBar();
@@ -225,5 +225,5 @@
 	    JScrollPane scroll = (JScrollPane) tabbedPane.getComponentAt(i);
 	    IThumbnailPanel thumbPan = (IThumbnailPanel) scroll.getViewport().getComponents()[0];
-	    if (thumbPan.getCategory().getIdentifiant().equals(panel.getCategory().getIdentifiant())) {
+	    if (thumbPan.getCategory().getIdentifier().equals(panel.getCategory().getIdentifier())) {
 		//only if it's not for a re
 		if (!(panel instanceof ThumbnailSearchPanel)) {
@@ -237,5 +237,5 @@
 	//is the name of the category
 	if (!found && !isSearch) {
-	    tabbedPane.addTab(panel.getCategory().getNom(), scrollPaneImagesPanel, new ImageIcon(Outil
+	    tabbedPane.addTab(panel.getCategory().getName(), scrollPaneImagesPanel, new ImageIcon(Tools
 		    .getURL("fr/mael/jiwigo/img/closetab.png")));
 	    //if it's for a research, the title of the tab
@@ -244,5 +244,5 @@
 	    String queryString = ((ThumbnailSearchPanel) panel).getQueryString();
 	    tabbedPane.addTab(Messages.getMessage("mainFrame_search") + queryString, scrollPaneImagesPanel,
-		    new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/closetab.png")));
+		    new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/closetab.png")));
 	}
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 9393)
@@ -17,5 +17,5 @@
 import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.transverse.util.filedrop.FileDrop;
 import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
@@ -84,5 +84,5 @@
 
     public ThumbnailCategoryPanel(Category category) {
-	this(category.getIdentifiant());
+	this(category.getIdentifier());
 	this.category = category;
     }
@@ -137,5 +137,5 @@
 	try {
 	    MainFrame.getInstance().setMessage(Messages.getMessage("thumbviewer_loading"));
-	    imagesManagement.setListImage(ImageService.getInstance(Main.sessionManager).listerParCategory(categoryId,
+	    imagesManagement.setListImage(ImageService.getInstance(Main.sessionManager).listByCategory(categoryId,
 		    rafraichir));
 	    addThumbnails();
@@ -144,5 +144,5 @@
 	    MainFrame.getInstance().setMessage(Messages.getMessage("loadingOk"));
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("imagesListingError"),
 		    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
@@ -159,5 +159,5 @@
 	JPanel panelh = new JPanel(new FlowLayout());
 	try {
-	    imagesManagement.setListImage(ImageService.getInstance(Main.sessionManager).listerParCategory(categoryId,
+	    imagesManagement.setListImage(ImageService.getInstance(Main.sessionManager).listByCategory(categoryId,
 		    false));
 	} catch (IOException e1) {
@@ -241,10 +241,10 @@
 			    .getLabel()));
 
-		    ImageService.getInstance(Main.sessionManager).creer(files[i].getCanonicalPath(), categoryId,
+		    ImageService.getInstance(Main.sessionManager).create(files[i].getCanonicalPath(), categoryId,
 			    widthOriginal, heightOriginal, chunkSize, imagesManagement.getPrivacyLevel());
 		    MainFrame.getInstance()
 			    .setMessage(files[i].getName() + " " + Messages.getMessage("sendingSuccess"));
 		} catch (Exception e) {
-		    LOG.error(Outil.getStackTrace(e));
+		    LOG.error(Tools.getStackTrace(e));
 		    //displays a dialog if there is an error
 		    JOptionPane.showMessageDialog(null, Messages.getMessage("sendingError") + files[i].getName(),
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 9393)
@@ -104,5 +104,5 @@
     public ThumbnailPanel(Image image) {
 	this.image = image;
-	setToolTipText("<html><center>" + image.getName() + "<br/>" + image.getVue() + " "
+	setToolTipText("<html><center>" + image.getName() + "<br/>" + image.getSeen() + " "
 		+ Messages.getMessage("hits") + "</center></html>");
 	this.addMouseListener(this);
@@ -173,5 +173,5 @@
 	    try {
 		//getting the list of tags
-		List<Tag> tagsDispo = TagService.getInstance(Main.sessionManager).lister();
+		List<Tag> tagsDispo = TagService.getInstance(Main.sessionManager).list();
 		//list to array (cause fucking JList does not support Lists)
 		Tag[] tableauTagDispo = (Tag[]) tagsDispo.toArray(new Tag[tagsDispo.size()]);
@@ -187,5 +187,5 @@
 		for (int i = 0; i < tableauTagDispo.length; i++) {
 		    for (Tag tag : tagsDeLimage) {
-			if (tag.getId().equals(tableauTagDispo[i].getId())) {
+			if (tag.getIdentifier().equals(tableauTagDispo[i].getIdentifier())) {
 			    indices[compteur++] = i;
 
@@ -217,5 +217,5 @@
 	    for (Object object : listTags.getSelectedValues()) {
 		Tag tag = (Tag) object;
-		tagIds.append(tag.getId() + ",");
+		tagIds.append(tag.getIdentifier() + ",");
 	    }
 	    tagIds.deleteCharAt(tagIds.lastIndexOf(","));
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 9393)
@@ -12,5 +12,5 @@
 import fr.mael.jiwigo.transverse.ImagesManagement;
 import fr.mael.jiwigo.transverse.util.Messages;
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.layout.VerticalLayout;
 
@@ -73,6 +73,6 @@
 	this.categoryId = -1;
 	category = new Category();
-	category.setIdentifiant(-1);
-	category.setNom(Messages.getMessage("mainFrame_recherche"));
+	category.setIdentifier(-1);
+	category.setName(Messages.getMessage("mainFrame_recherche"));
 	this.queryString = queryString;
 	this.setLayout(new VerticalLayout());
@@ -116,5 +116,5 @@
 	    MainFrame.getInstance().setMessage(Messages.getMessage("loadingOk"));
 	} catch (Exception e) {
-	    LOG.error(Outil.getStackTrace(e));
+	    LOG.error(Tools.getStackTrace(e));
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("imagesListingError"),
 		    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 9393)
@@ -65,5 +65,5 @@
 		MainFrame.getInstance().setAdditionalMessage(
 			Messages.getMessage("file") + " " + (i + 1) + "/" + files.length + " : ");
-		ImageService.getInstance(Main.sessionManager).creer(files[i].getCanonicalPath(),
+		ImageService.getInstance(Main.sessionManager).create(files[i].getCanonicalPath(),
 			thumbPanel.getCategoryId(), widthOriginal, heightOriginal, chunkSize,
 			ImagesManagement.getInstance().getPrivacyLevel());
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9393)
@@ -119,5 +119,5 @@
     private void createCategoriesTree() {
 	for (Category category : categories) {
-	    if (category.getCategoriesMeres().size() == 0) {
+	    if (category.getParentCategories().size() == 0) {
 		category.setLevel(0);
 		comboCategories.addItem(category);
@@ -136,5 +136,5 @@
     private void createRecursiveCategoriesTree(int level, Category category) {
 
-	for (Category cat : category.getCategoriesFilles()) {
+	for (Category cat : category.getChildCategories()) {
 	    cat.setLevel(level);
 	    comboCategories.addItem(cat);
@@ -157,6 +157,6 @@
 		    Double chunkSize = Double.valueOf(PreferencesManagement.getValue(PreferencesEnum.CHUNK_SIZE
 			    .getLabel()));
-		    ImageService.getInstance(Main.sessionManager).creer(file.getAbsolutePath(),
-			    category.getIdentifiant(), widthOriginal, heightOriginal, chunkSize,
+		    ImageService.getInstance(Main.sessionManager).create(file.getAbsolutePath(),
+			    category.getIdentifier(), widthOriginal, heightOriginal, chunkSize,
 			    ImagesManagement.getInstance().getPrivacyLevel());
 		} catch (Exception e) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/tree/MyTreeCellRenderer.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/tree/MyTreeCellRenderer.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/tree/MyTreeCellRenderer.java	(revision 9393)
@@ -8,5 +8,5 @@
 import javax.swing.tree.DefaultTreeCellRenderer;
 
-import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.search.File;
 
@@ -59,8 +59,8 @@
 		setIcon(openIcon);
 	    } else if (file.isFile() && file.getName().toLowerCase().endsWith(".png")) {
-		setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/png.png")));
+		setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/png.png")));
 	    } else if (file.isFile()
 		    && (file.getName().toLowerCase().endsWith(".jpg") || file.getName().toLowerCase().endsWith(".jpeg"))) {
-		setIcon(new ImageIcon(Outil.getURL("fr/mael/jiwigo/img/jpg.png")));
+		setIcon(new ImageIcon(Tools.getURL("fr/mael/jiwigo/img/jpg.png")));
 	    }
 	}
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/exe_creator.jsmooth
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/exe_creator.jsmooth	(revision 9393)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/exe_creator.jsmooth	(revision 9393)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<jsmoothproject>
+<JVMSearchPath>registry</JVMSearchPath>
+<JVMSearchPath>javahome</JVMSearchPath>
+<JVMSearchPath>jrepath</JVMSearchPath>
+<JVMSearchPath>jdkpath</JVMSearchPath>
+<JVMSearchPath>exepath</JVMSearchPath>
+<JVMSearchPath>jview</JVMSearchPath>
+<currentDirectory>${EXECUTABLEPATH}</currentDirectory>
+<embeddedJar>true</embeddedJar>
+<executableName>jiwigo.exe</executableName>
+<initialMemoryHeap>268435456</initialMemoryHeap>
+<jarLocation>MaPPS3b3.jar</jarLocation>
+<javaProperties>
+<name>-Jmaxheap</name>
+<value>256M</value>
+</javaProperties>
+<javaProperties>
+<name>-Jinitialheap</name>
+<value>256M</value>
+</javaProperties>
+<mainClassName>fr.mael.jiwigo.Main</mainClassName>
+<maximumMemoryHeap>268435456</maximumMemoryHeap>
+<maximumVersion></maximumVersion>
+<minimumVersion>1.5</minimumVersion>
+<skeletonName>Windowed Wrapper</skeletonName>
+<skeletonProperties>
+<key>Message</key>
+<value>Java has not been found on your computer. Do you want to install it?
+In order to complete the Java installation, you will need to restart that installer.</value>
+</skeletonProperties>
+</jsmoothproject> 
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java	(revision 9393)
@@ -23,6 +23,6 @@
     public void ListerTest() {
 	try {
-	    CategoryDao.getInstance(Main.sessionManager).lister(true);
-	    CategoryDao.getInstance(Main.sessionManager).lister(false);
+	    CategoryDao.getInstance(Main.sessionManager).list(true);
+	    CategoryDao.getInstance(Main.sessionManager).list(false);
 	} catch (IOException e) {
 	    e.printStackTrace();
@@ -36,5 +36,5 @@
     public void creerTest() {
 	Date date = new Date();
-	Assert.assertSame(true, CategoryService.getInstance(Main.sessionManager).creer("Category" + date.getTime()));
+	Assert.assertSame(true, CategoryService.getInstance(Main.sessionManager).create("Category" + date.getTime()));
     }
 
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java	(revision 9393)
@@ -19,16 +19,15 @@
     public void testCreer() throws Exception {
 	Category cat = null;
-	for (Category category : CategoryService.getInstance(Main.sessionManager).lister(true)) {
-	    if (category.getIdentifiant().equals(3)) {
+	for (Category category : CategoryService.getInstance(Main.sessionManager).list(true)) {
+	    if (category.getIdentifier().equals(3)) {
 		cat = category;
 		break;
 	    }
 	}
-	Image image = ImageService.getInstance(Main.sessionManager).listerParCategory(cat.getIdentifiant(), true)
-		.get(0);
-	int firstCount = CommentService.getInstance(Main.sessionManager).lister(image.getIdentifiant()).size();
-	CommentService.getInstance(Main.sessionManager).creer("comment test", image.getIdentifiant(), "none");
-	Assert.assertSame(firstCount + 1, CommentService.getInstance(Main.sessionManager)
-		.lister(image.getIdentifiant()).size());
+	Image image = ImageService.getInstance(Main.sessionManager).listByCategory(cat.getIdentifier(), true).get(0);
+	int firstCount = CommentService.getInstance(Main.sessionManager).list(image.getIdentifier()).size();
+	CommentService.getInstance(Main.sessionManager).create("comment test", image.getIdentifier(), "none");
+	Assert.assertSame(firstCount + 1, CommentService.getInstance(Main.sessionManager).list(image.getIdentifier())
+		.size());
     }
 }
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/TagServiceTest.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/TagServiceTest.java	(revision 9392)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/TagServiceTest.java	(revision 9393)
@@ -24,5 +24,5 @@
     public void ListerTest() {
 	try {
-	    TagDao.getInstance(Main.sessionManager).lister();
+	    TagDao.getInstance(Main.sessionManager).list();
 	} catch (IOException e) {
 	    e.printStackTrace();
@@ -37,5 +37,5 @@
 	Date date = new Date();
 	try {
-	    Assert.assertSame(true, TagService.getInstance(Main.sessionManager).creer("Tag" + date.getTime()));
+	    Assert.assertSame(true, TagService.getInstance(Main.sessionManager).create("Tag" + date.getTime()));
 	} catch (IOException e) {
 	    // TODO Auto-generated catch block
